Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.enterprise.ee.cms.core
Enum GroupManagementService.MemberType

    java.lang.Object
      java.lang.Enum<GroupManagementService.MemberType>
          com.sun.enterprise.ee.cms.core.GroupManagementService.MemberType

All Implemented Interfaces:
  Serializable, Comparable<GroupManagementService.MemberType>

Enclosing interface:
  GroupManagementService

    public static enum GroupManagementService.MemberType

extends Enum<GroupManagementService.MemberType>

Members joining the group should be one of the following types. Core members are ones whose failure is a material event to the group, Spectators are those whose failure is not a material event to other group members. A Watchdog member of the group can report to the group that a member of the group has failed. The failure of a Watchdog is not a material event to the other group members. In order to lower overhead for a WATCHDOG, Distributed State Cache management is disabled for a WATCHDOG member. Additionally, a WATCHDOG member does not receive any GMS event notifications nor can it ever be the MASTER of a GMS group.

Motivation for WATCHDOG member is to enable Framework Agents that control and monitor the runtime status of GMS members to be able to report failures to GMS when they are detected. If a Framework Agent runs on same machine as processes it monitors, it can detect failure sooner and more reliably than heartbeat based failure detection can. A WATCHDOG member can lessen the amount of time that GMS takes to notify a group that a member has failed.

Enum Constant Summary
`CORE`
`SPECTATOR`
`WATCHDOG`

Method Summary
`static GroupManagementService.MemberType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupManagementService.MemberType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CORE

    public static final GroupManagementService.MemberType CORE

### SPECTATOR

    public static final GroupManagementService.MemberType SPECTATOR

### WATCHDOG

    public static final GroupManagementService.MemberType WATCHDOG

Method Detail

### values

    public static final GroupManagementService.MemberType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GroupManagementService.MemberType c : GroupManagementService.MemberType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GroupManagementService.MemberType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.